Subject: Re: Returned orders 30/04/2020
From: "Farrah A." <[email-masked]>
To: Moataz Salah El Din <[email-masked]>
Cc: Hussain Firoz Miyagamwala <[email-masked]>, "Raghu Nalloor (R3PL)" <[email-masked]>, "Azharuddin Kalamuddin (R3PL)" <[email-masked]>, "ZAHID ABDULWAHID (3PL)" <[email-masked]>, customer care <[email-masked]>, Ekta Jesswani <[email-masked]>, Shinette Grace Ochoa <[email-masked]>
Date: Wed, 10 Jun 2020 18:08:48 +0300
List-Id: <ccteam.mumzworld.com>

Hello,

The csts are chasing us on social media platforms and raising MCI
complaints awaiting for their refunds

Please prioritize the soonest

Best,

On Wed, May 6, 2020 at 10:51 AM Moataz Salah El Din <[email-masked]>
wrote:

> Dears,
> Any update?
>
> On Tue, 5 May 2020 at 09:57, Hussain Firoz Miyagamwala <
> [email-masked]> wrote:
>
>> Dear Raghu,
>>
>> Please check the attached file. We did not get much from any of these in
>> the returns file yesterday.
>> Where are these ?
>>
>>
>>
>> On Mon, May 4, 2020 at 2:53 PM Hussain Firoz Miyagamwala <
>> [email-masked]> wrote:
>>
>>> Dear Raghu,
>>>
>>> Please give us the timeline on this.
>>> The customers can't wait anymore.
>>>
>>> As agreed today you are going to clear *EVERYTHING*. I hope this will
>>> not extend another day.
>>>
>>>
>>>
>>> On Mon, May 4, 2020 at 2:48 PM Moataz Salah El Din <[email-masked]>
>>> wrote:
>>>
>>>> Dear Hussain,
>>>> I need to start refunding the customers. They have been waiting since a
>>>> very long time.
>>>>
>>>> On Sun, 3 May 2020 at 12:13, Moataz Salah El Din <[email-masked]>
>>>> wrote:
>>>>
>>>>> Hi Hussain,
>>>>> Any update on this?
>>>>>
>>>>> On Thu, 30 Apr 2020 at 11:21, Hussain Firoz Miyagamwala <
>>>>> [email-masked]> wrote:
>>>>>
>>>>>> ++ Raghu
>>>>>>
>>>>>> I need you to clear this ALL this weekend.
>>>>>> NO RETURNS SHOULD BE PENDING from Sunday.
>>>>>>
>>>>>> Please check the attached prioritized orders which are already
>>>>>> delivered.
>>>>>>
>>>>>>
>>>>>>
>>>>>> On Thu, Apr 30, 2020 at 11:06 AM Moataz Salah El Din <
>>>>>> [email-masked]> wrote:
>>>>>>
>>>>>>> Dear Hussain,
>>>>>>> As discussed, I've attached a list of *408 orders* that have been
>>>>>>> confirmed as returned from the couriers. Please cross check and create the
>>>>>>> CRA's ASAP
>>>>>>>
>>>>>>> --
>>>>>>> *Best regards,*
>>>>>>> *Moataz Salah El-Din*
>>>>>>> Customer Care Representative
>>>>>>> p:  +971 (0)4 4339455 │ e: [email-masked] │ w:
>>>>>>> www.mumzworld.com
>>>>>>> a:  Office B407-408, 4th Floor, Building 4,  D3, Dubai Design
>>>>>>> District, PO Box 500245, Dubai, UAE
>>>>>>>
>>>>>>
>>>>>
>>>>> --
>>>>> *Best regards,*
>>>>> *Moataz Salah El-Din*
>>>>> Customer Care Representative
>>>>> p:  +971 (0)4 4339455 │ e: [email-masked] │ w: www.mumzworld.com
>>>>> a:  Office B407-408, 4th Floor, Building 4,  D3, Dubai Design
>>>>> District, PO Box 500245, Dubai, UAE
>>>>>
>>>>
>>>>
>>>> --
>>>> *Best regards,*
>>>> *Moataz Salah El-Din*
>>>> Customer Care Representative
>>>> p:  +971 (0)4 4339455 │ e: [email-masked] │ w: www.mumzworld.com
>>>> a:  Office B407-408, 4th Floor, Building 4,  D3, Dubai Design
>>>> District, PO Box 500245, Dubai, UAE
>>>>
>>>
>
> --
> *Best regards,*
> *Moataz Salah El-Din*
> Customer Care Representative
> p:  +971 (0)4 4339455 │ e: [email-masked] │ w: www.mumzworld.com
> a:  Office B407-408, 4th Floor, Building 4,  D3, Dubai Design District,
> PO Box 500245, Dubai, UAE
>